@charset "UTF-8";
/* CSS Document */

:root {
  --text-color: #222;
  --main-color: #a0c912;
  --sub-color: #666;
  --bg-color: #f7f7f7;
  --border-color: #cdcdcd;
}

.blog_contents *,
.blog_contents *::before,
.blog_contents *::after {
  box-sizing: border-box;
}

.blog_contents a {
  transition: 0.5s;
}

.blog_contents img {
  max-width: 100%;
  height: auto;
  vertical-align: top;
}

.blog_contents iframe {
  max-width: 100%;
  vertical-align: top;
}

main {
  max-width: none;
  width: 68%;
  padding-right: 4px;
  padding-left: 4px;
}

/* #breadcrumb {
  margin-bottom: 20px;
} */

@media screen and (max-width: 640px) {/* sp */
  main {
    width: 100%;
    padding: 0 20px;
  }

  #breadcrumb {
    padding-left: 0;
    padding-right: 0;
  }
}

/*==================================================================================================================================

  *エディタ

==================================================================================================================================*/
.cmn_editor p {
  margin-bottom: 1em;
}

.cmn_editor p:last-child {
  margin-bottom: 0;
}

.cmn_editor a {
  text-decoration: underline;
}

/*----------見出し----------*/
/* reset css */
.cmn_editor h3,
.cmn_editor h4,
.cmn_editor h5,
.cmn_editor h6 {
  font-family: inherit;
  display: block;
  position: static;
  left: auto;
  right: auto;
  top: auto;
  bottom: auto;
  padding: 0;
  margin: 0;
  line-height: inherit;
  border: none;
  background: none;
  opacity: 1;
  width: auto;
  height: auto;
  border-radius: 0;
  text-align: left;
  color: inherit;
  overflow: visible;
  letter-spacing: inherit;
  text-shadow: none;
  box-shadow: none;
  font-size: inherit;
  font-weight: inherit;
}

.cmn_editor h3::before,
.cmn_editor h3::after,
.cmn_editor h4::before,
.cmn_editor h4::after,
.cmn_editor h5::before,
.cmn_editor h5::after,
.cmn_editor h6::before,
.cmn_editor h6::after {
  display: none;
}

.cmn_editor h3 {
  font-family: "Folk Medium",sans-serif;
  font-size: 23px;
  font-weight: bold;
  letter-spacing: 0.2em;
  line-height: 1.4;
  text-align: center;
  padding-block: 16px;
  border-color: #000;
  border-width: 1px 0;
  border-style: solid;
  margin-bottom: 30px;
}

.cmn_editor h4 {
  color: #a0c912;
  font-family: "Folk Medium",sans-serif;
  font-size: /*20px*/18px;
  letter-spacing: 0.15em;
  line-height: 1.4;
  position: relative;
  padding-left: 24px;
  margin-bottom: /*20px*/18px;
  margin-top: 0 !important;
}
.cmn_editor h4::before {
  display: block;
  content: '';
  position: absolute;
  top: calc((1.4em - 12px) / 2);
  left: 4px;
  width: 12px;
  height: 12px;
  background-color: #a0c912;
  border: 1px solid #a0c912;
  border-radius: 50%;
}

.cmn_editor h5 {
  color: #5d5029;
  font-family: "Folk Medium",sans-serif;
  font-size: 18px;
  font-weight: bold;
  letter-spacing: 0.1em;
  line-height: 1.6;
  margin-bottom: 20px;
}

.cmn_editor h6 {
  font-size: 18px;
  font-weight: bold;
  line-height: 1.6;
  margin-bottom: 15px;
}

/*上に余白を付ける*/
.cmn_editor h2:nth-child(n+2) {
  margin-top: 60px;
}
.cmn_editor h3:nth-child(n+2),
.cmn_editor h4:nth-child(n+2),
.cmn_editor h5:nth-child(n+2),
.cmn_editor h6:nth-child(n+2) {
  margin-top: 2em;
}

/*----------リスト----------*/
/*番号*/
.cmn_editor ol {
  margin: 0;
  padding: 0;
  counter-reset: number;
  list-style: none;
}

.cmn_editor ol li {
  margin: 0 0 10px 30px;
  list-style-type: none;
  position: relative;
}

.cmn_editor ol li:last-of-type {
  margin: 0 0 0 30px;
}

.cmn_editor ol li:before {
  padding: 2px 8px;
  border-radius: 2%;
  color: var(--main-color);
  counter-increment: number;
  content: counter(number) ".";
  font-weight: bold;
  letter-spacing: 0;
  left: -30px;
  position: absolute;
}

.cmn_editor ul li {
	position: relative;
	margin-bottom: 10px;
	padding-left: 15px;
	list-style-type: none;
}
.cmn_editor ul li:last-child {
	margin-bottom: 0;
}
.cmn_editor ul li:before {
	display: block;
	position: absolute;
	top: 10px;
	left: 0;
	width: 3px;
	height: 3px;
	background-color: #E0D0BF;
	border: 1px solid #E0D0BF;
	border-radius: 100%;
	content: '';
}
.cmn_editor ul li i {
	margin-right: 8px;
}
.cmn_editor ul li span {
	display: block;
	font-weight: bold;
}

/*----------テーブル----------*/
.cmn_editor table {
  width: 100%;
}

.cmn_editor th,
.cmn_editor td {
  padding: 10px;
}

.cmn_editor th {
  font-weight: bold;
  background-color: var(--bg-color);
  border: 1px solid var(--border-color);
}

.cmn_editor td {
  background-color: #fff;
  border: 1px solid var(--border-color);
}

/*==================================================================================================================================

  *共通パーツ

==================================================================================================================================*/
/* 日付・カテゴリ */
.blog_category i {
  display: inline-block;
  font-family: FontAwesome;
  font-style: normal;
  font-weight: 900;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  padding-right: 0;
  margin-right: 5px;
  color: var(--main-color);
}

.blog_category li a {
  color: var(--text-color);
}

@media (hover: hover) {
  .blog_category li a:hover {
    color: var(--main-color);
  }
}

/* ページャー */
.pager {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  padding-left: 10px;
  margin-top: 40px;
}
.page-numbers {
  min-width: 2.5em;
  aspect-ratio: 1 / 1;
  overflow: hidden;
  display: flex;
  flex-flow: column;
  justify-content: center;
  text-align: center;
  border-radius: 50%;
  font-size: 15px;
  font-weight: bold;
  line-height: 1;
  letter-spacing: .1em;
  margin: 0;/* css reset */
  margin-right: 10px;
  margin-bottom: 10px;
}
.page-numbers.current,
a.page-numbers:hover {
  background: var(--main-color);
  color: #fff;
}
a.page-numbers {
  text-decoration: none;
  transition: all 0.2s linear;
  background: var(--bg-color);
  color: var(--main-color);
}

.pager a:active {
  box-shadow: 1px 1px 3px -1px rgba(0, 0, 0, 0.55);
}

/*==================================================================================================================================

  *記事一覧

==================================================================================================================================*/
.blog_list_item {
  border-top: 4px solid var(--main-color);/*記事ボックスの上の色*/
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
  padding: 20px 15px 25px;
  background-color: #fff;
}

/* サムネイル */
.blog_list_item_thum {
  text-align: center;
  margin-bottom: 15px;
}

/* タイトル */
.blog_list_item_tit {
  font-family: inherit;
  display: block;
  position: static;
  left: auto;
  right: auto;
  top: auto;
  bottom: auto;
  padding: 0;
  margin: 0;
  line-height: inherit;
  border: none;
  background: none;
  opacity: 1;
  width: auto;
  height: auto;
  border-radius: 0;
  text-align: left;
  color: inherit;
  overflow: visible;
  letter-spacing: inherit;
  text-shadow: none;
  box-shadow: none;
  font-size: inherit;
  font-weight: inherit;
  font-family: "Folk Medium",sans-serif;
  font-size: 18px;
  line-height: 1.6;
  margin-bottom: 15px;
}

.blog_list_item_tit::before,
.blog_list_item_tit::after {
  display: none;
}

.blog_list_item .blog_category {
  font-size: 87%;
  line-height: 1.5;
  margin-bottom: 40px;
}

.blog_list_item .blog_category li:not(:last-child) {
  margin-bottom: 5px;
}

.blog_list_item_text {
  margin-bottom: 15px;
}

/* ボタン */
.blog_list_item_btn {
  margin-top: auto;
  text-align: center;
}

.blog_list_item_btn a {
  display: inline-block;
  padding: 8px 30px 8px 20px;
  font-family: "Folk Medium",sans-serif;
  background-color: var(--main-color);
  color: #fff;
  border: 1px solid var(--main-color);
  transition: 0.2s ease-in-out;
  position: relative;
}

@media (hover: hover) {
  .blog_list_item_btn a:hover {
    background-color: #fff;
    color: var(--main-color);
  }
}

.blog_list_item_btn a:before {
  font-family: FontAwesome;
  content: "\f105";
  font-weight: 900;
  color: #fff;
  letter-spacing: 0;
  line-height: 1;
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  display: block;
  transition: 0.2s ease-in-out;
}

.blog_list_item_btn a:hover::before {
  color: var(--main-color);
}

@media print, screen and (min-width: 641px) {/* pc */
  .blog_list {
    display: flex;
    flex-flow: wrap;
    gap: 30px 18px;
  }

  .blog_list_item {
    display: flex;
    flex-flow: column;
    width: calc((100% - 36px) / 3);
  }

  /* サムネイル */
  .blog_list_item_thum {
    max-height: 150px;
    aspect-ratio: 240 / 150;
  }

  .blog_list_item_thum img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
  }
}

@media screen and (max-width: 640px) {/* sp */
  .blog_list_item:not(:last-child) {
    margin-bottom: 30px;
  }
  .cmn_editor h3 {
   font-size: 21px;
   margin-bottom: 25px;
  }
  .cmn_editor h4 {
	font-size: 17px;
  }
}

/*==================================================================================================================================

  *記事

==================================================================================================================================*/
/* サムネイル */
.blog_single_thum {
  margin: 0 auto 30px;
  text-align: center;
}
.blog_single_thum img {
  width: auto;
  max-height: 700px;
}

/* 目次 */
#toc_container {
  margin-bottom: 50px;
  padding: 25px 30px;
  background: var(--bg-color);
}
.toc_title {
  font-size: 120%;
  font-family: "Folk Medium",sans-serif;
  line-height: 1.6;
  padding-bottom: 10px;
  border-bottom: 2px solid var(--main-color);
  margin-bottom: 15px;
}
.toc_list {
  font-size: 93%;
}
.toc_list a {
  color: var(--text-color);
  text-decoration: none;
}
@media (hover: hover) {
  .toc_list a:hover {
    color: var(--sub-color);
  }
}
.toc_list > li:not(:last-child) {
  margin-bottom: 10px;
}
.toc_list > li ul {
  padding-left: 10px;
}
.toc_list > li ul li a::before {
  content: "-";
  display: inline-block;
  margin-right: 5px;
}

@media screen and (max-width: 640px) {/* sp */
  .blog_single_thum img {
    max-height: 320px;
  }

  /* 目次 */
  #toc_container {
    padding: 20px;
  }
}

/*==================================================================================================================================

  *右ナビ

==================================================================================================================================*/
.blog_side {
  width: 28%;
  padding: 50px 2%;
  background: var(--bg-color);
}

.blog_side_box:not(:last-child) {
  margin-bottom: 40px;
}

.blog_side_title {
  font-size: 120%;
  font-family: "Folk Medium",sans-serif;
  margin-bottom: 15px;
  padding-bottom: 10px;
  border-bottom: solid 2px var(--main-color);
  text-align: left;
  line-height: 1.6;
}

.blog_side_title i {
  margin-right: 12px;
  vertical-align: middle;
  color: var(--main-color);
}

.blog_side li a {
  color: var(--text-color);
}

.blog_side li a:hover {
  color: var(--main-color) !important;
}

.blog_side ul.children li.cat-item a {
  padding-left: 1em;
}

.blog_side ul.children li.cat-item a::before {
  content: "－";
}

.blog_side_item:not(:last-child) {
  border-bottom: 1px solid var(--border-color);
}

.blog_side_item a {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  padding-top: 15px;
  padding-bottom: 15px;
}

.blog_side_item_thum {
  width: 100px;
  height: 100px;
  overflow: hidden;
}

.blog_side_item_thum img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

@media (hover: hover) {
  .blog_side_item_thum img {
    transition: transform .2s;
  }
  .blog_side_item a:hover .blog_side_item_thum img {
    transform: scale(1.1);
  }
}

.blog_side_item_title {
  flex: 1;
  line-height: 1.8;
}

@media print, screen and (min-width: 641px) {/* pc */
  .blog_side_item_title {
    font-size: 93%;
  }
}

@media screen and (max-width: 640px) {/* sp */
  .blog_side {
    width: 100%;
    padding: 40px 20px;
    margin-top: 60px;
  }
}
